package com.miya.manning.framework.request;

import net.sf.json.JSONObject;
import org.apache.http.HttpEntity;
import org.apache.http.client.methods.CloseableHttpResponse;
import org.apache.http.entity.StringEntity;
import org.apache.http.impl.client.CloseableHttpClient;
import org.apache.http.impl.client.HttpClientBuilder;
import org.apache.http.util.EntityUtils;

import java.io.IOException;

/**
 * @ProjectName: MY_INTERFACE_TEST
 * @Package: com.miya.interfacetest.framework.request
 * @ClassName: HTTPDelete
 * @Description: java类作用描述
 * @Author: 唐奇良
 * @CreateDate: 2019/1/21 下午5:59
 * @UpdateUser: 更新者
 * @UpdateDate: 2019/1/21 下午5:59
 */
public class HTTPDelete {

    public static String httpDelete(String url, JSONObject jsonParam){

        HttpClientBuilder httpClientBuilder = HttpClientBuilder.create();
        CloseableHttpClient closeableHttpClient = httpClientBuilder.build();
        MyHttpDelete myhttpdelete = new MyHttpDelete(url);
        StringEntity entity = new StringEntity(jsonParam.toString(), "utf-8");
        entity.setContentEncoding("UTF-8");
        entity.setContentType("application/json");
        myhttpdelete.setEntity(entity);
        CloseableHttpResponse httpResponse = null;
        String result = null;
        try {
            httpResponse = closeableHttpClient.execute(myhttpdelete);
            HttpEntity httpEntity = httpResponse.getEntity();
            result = EntityUtils.toString(httpEntity, "UTF-8");
        } catch (Exception e) {
            e.printStackTrace();
        }finally{
            try {
                httpResponse.close();
            } catch (IOException e) {
                e.printStackTrace();
            }
        }
        try {   //关闭连接、释放资源
            closeableHttpClient.close();
        } catch (IOException e) {
            e.printStackTrace();
        }
        return result;
    }
}
