package com.miya.manning.framework.request;

import org.apache.http.client.methods.HttpEntityEnclosingRequestBase;

import java.net.URI;

/**
 * @ProjectName: MY_INTERFACE_TEST
 * @Package: com.miya.interfacetest.framework.request
 * @ClassName: MyHttpDelete
 * @Description: HttpClient自带的HttpDelete方法是不支持上传body的，所以重写delete方法
 * @Author: 唐奇良
 * @CreateDate: 2019/1/21 下午7:05
 * @UpdateUser: 更新者
 * @UpdateDate: 2019/1/21 下午7:05
 */
public class MyHttpDelete extends HttpEntityEnclosingRequestBase {

    public static final String METHOD_NAME = "DELETE";

    public String getMethod() {
        return METHOD_NAME;
    }

    public MyHttpDelete(final String uri) {
        super();
        setURI(URI.create(uri));
    }

    public MyHttpDelete(final URI uri) {
        super();
        setURI(uri);
    }

    public MyHttpDelete() {
        super();
    }
}
