package com.miya.manning.vo.scripts;

import org.apache.log4j.Logger;

public class JavaScript implements ExcuteableScript{
    private static final Logger log = Logger.getLogger(JavaScript.class);
    private String params;


    public JavaScript(){};


    public JavaScript(String params) {
        this.params = params;
    }

    public String getParams() {
        return params;
    }

    public void setParams(String params) {
        this.params = params;
    }

    @Override
    public void execute(String params) {
        //执行java脚本
        try {
            log.info("即将等待" + params + "s");
            Thread.sleep((long) (Double.parseDouble(params)*1000));
            log.info("等待结束");
        } catch (Exception e) {
            log.error("执行等待脚本失败!");
            e.printStackTrace();
        }
    }
}
